#!/home/awn/tools/bin/python
#import cv2
import sys
import os
import string
import numpy
import time

os.chdir('/home/twoactive/filtering')

markedbad = []
for f in open('baddies.txt','r'):
    x = f.rstrip()
    markedbad.append(x)

markedbad = list(set(markedbad))

markedgood = []
for f in open('goodies.txt','r'):
    x = f.rstrip()
    markedgood.append(x)

markedgood = list(set(markedgood))

probablywtf = set(markedgood) & set(markedbad)
fout = open('probably.wtf','w')
for x in probablywtf:
	fout.write(x+"\n")

fout.close()

fout = open('baddies.txt','w')
for x in [y for y in markedbad if y not in probablywtf]:
    fout.write(x+"\n")

fout.close()

fout = open('goodies.txt','w')
for x in [y for y in markedgood if y not in probablywtf]:
    fout.write(x+"\n")

fout.close()

print 'loading good'
data = []
for x in markedgood:
    data.append(numpy.load('filter/surfcache/'+x[:-4]+'.npy'))

print 'loading bad'
for x in markedbad:
    data.append(numpy.load('filter/surfcache/'+x[:-4]+'.npy'))

zz = numpy.vstack(data)
aa = numpy.arange(zz.shape[0])
numpy.random.shuffle(aa)
bb = numpy.arange(zz.shape[0])

vs = numpy.sqrt(numpy.sum((zz[aa,:]-zz[bb,:])**2,axis=1))

bws = numpy.linspace(numpy.percentile(vs,5), numpy.percentile(vs,50), 20)

numpy.save('possible_bws.npy', bws)
print bws

taco = list(set(markedgood+markedbad)-probablywtf)
taco2 = list(set(markedgood+markedbad)-probablywtf)
numpy.random.shuffle(taco)

for i in range(len(taco)):
	os.system('qsub -q pool2 -v WINSTANCE='+str(taco[i])+' lane_cross_validate_bandwidth_per_instance.py')
	time.sleep(0.2)
	os.system('qsub -q pool1 -v WINSTANCE='+str(taco2[i])+' lane_cross_validate_bandwidth_per_instance.py')
	time.sleep(0.2)
