#!/home/awn/tools/bin/python
#import cv2
import numpy
import sys
import os
import string
import random
import time

os.chdir('/home/twoactive/filtering')


field_lookup = []
smpl_field_lookup = {}
i = 0
for line in open('sample/FULLDATA_field_info.txt'):
	l = line.rstrip().split('/')[-1]
	field_lookup.append(l)
	smpl_field_lookup[l] = i
	i += 1


rev_field_lookup = {}
exp_to_field = {}
z = numpy.load('sample/FULLDATA_exp_labels.npy')
for i in range(z.shape[0]):
    x = (numpy.mod(int(z[i,0])-1,48)+1, numpy.mod(int(z[i,1])-1,48)+1)
    if x not in exp_to_field:
        exp_to_field[x] = []
    exp_to_field[x].append(i)
    rev_field_lookup[i] = x

crazybad = []
for z in open('verybad.txt','r'):
    crazybad.append(z.rstrip().replace('.png',''))

crazybad = set(crazybad)

markings = [x for x in os.listdir('.') if '.marking' in x]

acc = {}
for m in markings:
	d,p = [int(z[1:]) for z in m.split('.')[0].split('-')]
	imgs = []
	for line in open(m,'r'):
		ss = line.rstrip().split()
		imgs.append(ss[0].split('/')[-1])
	acc[d,p] = list(set([field_lookup[x] for x in exp_to_field[d,p]])-set(imgs)-crazybad)

judomarkings = set(['.'.join(x.split('.')[:2]) for x in os.listdir('markings') if '.marking' in x])

# for line in open('todo','r'):
# 	judomarkings.add('.'.join(line.rstrip().split('.')[:2]))


# markedbad = []
# for f in open('baddies.txt','r'):
#     x = f.rstrip().replace('.png', '')
#     markedbad.append(x)


# markedgood = []
# for f in open('goodies.txt','r'):
#     x = f.rstrip().replace('.png', '')
#     markedgood.append(x)

# marked = set(markedgood+markedbad)

# [len(set(x)&marked) for x in acc if len(x)>0]

# ll = []
# for e,l in exp_to_field.iteritems():
# 	ll.append(set([field_lookup[x] for x in l])&marked)

experiments = []
for (d,p),l in acc.iteritems():
	underl = [x for x in l if x not in judomarkings]
	experiments.extend([(d,p,x) for x in underl])

eorder = numpy.arange(len(experiments))
numpy.random.shuffle(eorder)

for i in range(len(experiments)):
	print i, len(experiments)
	d,p,inst = experiments[i]
	os.system('qsub -q pool2 -v LD_LIBRARY_PATH=/home/awn/tools/lib,WDRUG='+str(d)+',WPROT='+str(p)+',WINSTANCE='+inst+' lane_compute_marking_per_instance_within_exp_cleanup.py')
	time.sleep(0.2)
	# d,p,inst = experiments[eorder[i]]
	# os.system('qsub -q pool1 -v LD_LIBRARY_PATH=/home/awn/tools/lib,WDRUG='+str(d)+',WPROT='+str(p)+',WINSTANCE='+inst+' lane_compute_marking_per_instance_within_exp_cleanup.py')
	# time.sleep(0.2)