import numpy
import sys
import os
import string
#import pylab

markings = [x for x in os.listdir('.') if '.marking' in x]

acc = []
bestimages = []
bestvals = []
for m in markings:
	macc = []
	imgs = []
	for line in open(m,'r'):
		ss = line.rstrip().split()
		imgs.append(ss[0])
		macc.append(float(ss[1])-float(ss[2]))
	bestimages.append(imgs[numpy.nanargmin(macc)])
	bestvals.append(macc[numpy.nanargmin(macc)])
	acc.append(macc)

fullacc = [item for sublist in acc for item in sublist]
bestacc = [numpy.min(x) for x in acc]

for b,v in zip(bestimages, bestvals):
	nn = b.split('/')[-1]+'.png'
	os.system('ln -s image_cache/'+nn+' best'+str(int(1000000*v)).zfill(6)+'.'+nn)

os.system('tar cvfh trial.tar *.png')

# z = []
# imgs = []
# for line in open('d6-p11.marking','r'):
# 	aas = line.rstrip().split()
# 	imgs.append(aas[0])
# 	z.append([float(x) for x in aas[1:]])

# z = numpy.asarray(z)

# pylab.boxplot([fullacc,bestacc])
# pylab.xticks([1, 2], ['all fields', 'best field per experiment'])
# pylab.ylabel('nearest good distribution - nearest bad distribution')
# pylab.savefig('labeling_performance.png')
# pylab.show()


