import numpy
import sys
import os
import string
#import pylab

markings = [x for x in os.listdir('.') if '.marking' in x]

acc = []
bestimages = []
bestvals = []
mostvals = []
for m in markings:
	macc = []
	absacc = []
	imgs = []
	for line in open(m,'r'):
		ss = line.rstrip().split()
		imgs.append(ss[0])
		macc.append(float(ss[1])-float(ss[2]))
		absacc.append(numpy.min(numpy.abs([float(ss[1]),float(ss[2])])))
	most = numpy.nanargmax(absacc)
	bestimages.append(imgs[most])
	bestvals.append(macc[most])
	mostvals.append(absacc[most])
	acc.append(macc)

fullacc = [item for sublist in acc for item in sublist]
bestacc = [numpy.min(x) for x in acc]
worstacc = [numpy.max(x) for x in acc]

for b,v,mv in zip(bestimages, bestvals, mostvals):
	nn = b.split('/')[-1]+'.png'
	if v < 0:
		os.system('ln -s image_cache/'+nn+' good'+str(int(10000*mv)).zfill(6)+'.'+nn)
	else:
		os.system('ln -s image_cache/'+nn+' bad'+str(int(10000*mv)).zfill(6)+'.'+nn)

os.system('tar cvfh trial.tar *.png')

# z = []
# imgs = []
# for line in open('d6-p11.marking','r'):
# 	aas = line.rstrip().split()
# 	imgs.append(aas[0])
# 	z.append([float(x) for x in aas[1:]])

# z = numpy.asarray(z)

# pylab.boxplot([fullacc,bestacc])
# pylab.xticks([1, 2], ['all fields', 'best field per experiment'])
# pylab.ylabel('nearest good distribution - nearest bad distribution')
# pylab.savefig('labeling_performance.png')
# pylab.show()


[float(len([x for x in y if x < 0]))/len(y) for y in acc]