#!/home/awn/tools/bin/python
#import cv2
import numpy
import sys
import os
import string

HOWMANYPER = 10

os.chdir('/home/twoactive/filtering')


field_lookup = []
smpl_field_lookup = {}
i = 0
for line in open('sample/FULLDATA_field_info.txt'):
    field_lookup.append(line.rstrip())
    smpl_field_lookup[string.split(field_lookup[-1],'/')[-1]] = i
    i += 1


rev_field_lookup = {}
exp_to_field = {}
z = numpy.load('sample/FULLDATA_exp_labels.npy')
for i in range(z.shape[0]):
    x = (numpy.mod(int(z[i,0])-1,48)+1, numpy.mod(int(z[i,1])-1,48)+1)
    if x not in exp_to_field:
        exp_to_field[x] = []
    exp_to_field[x].append(i)
    rev_field_lookup[i] = x

fin = open('whatters.txt','r')
eacc = []
for line in fin:
	nn = '.'.join(line.rstrip().split('.')[-3:-1])
	eacc.append(rev_field_lookup[smpl_field_lookup[nn]])

eacc = set(eacc)

# # include any experiments that have not been labeled
# markedbad = []
# for f in open('baddies.txt','r'):
#     x = f.rstrip()
#     markedbad.append(x[:-4])

# markedgood = []
# for f in open('goodies.txt','r'):
#     x = f.rstrip()
#     markedgood.append(x[:-4])

# unmarked = set(exp_to_field.keys())-set([rev_field_lookup[smpl_field_lookup[x]] for x in markedbad+markedgood])

# eacc = list(set(eacc)|unmarked)

crazybad = []
for z in open('verybad.txt','r'):
    crazybad.append(z.rstrip().replace('.png',''))

crazybad = set(crazybad)

print 'working on', len(eacc)

for ii,e in enumerate(eacc):
	print ii
	fin = open('d'+str(e[0])+'-p'+str(e[1])+'.marking','r')
	imgs = []
	vvs = []
	for line in fin:
		r = line.rstrip().split()
		if r[0].split('/')[-1] not in crazybad:
			imgs.append(r[0])
			vvs.append(float(r[1])-float(r[2]))
	zorder = numpy.argsort(vvs)
	# because fuck numpy's stupid indexing and everything else. what garbage.
	step = int(float(zorder.shape[0])/HOWMANYPER)
	if step > 0:
		zorder = zorder[::step]
	possibles = [imgs[x] for x in zorder]
	vvals = [vvs[x] for x in zorder]
	prefix = str(e[0]).zfill(2)+'-'+str(e[1]).zfill(2)+'.'
	for i in range(len(possibles)):
		n = possibles[i]
		v = vvals[i]
		nn = n.split('/')[-1]+'.png'
		os.system('ln -s image_cache/'+nn+' '+prefix+str(int(1000000*v)).zfill(6)+'.'+nn)

os.system('tar cvfh trial.tar *.png')
