#!/home/awn/tools/bin/python
#import cv2
import sys
import os
import string
import numpy
import time

os.chdir('/home/twoactive/filtering')

exp_to_field = {}
z = numpy.load('sample/FULLDATA_exp_labels.npy')
for i in range(z.shape[0]):
    x = (numpy.mod(int(z[i,0])-1,48)+1, numpy.mod(int(z[i,1])-1,48)+1)
    if x not in exp_to_field:
        exp_to_field[x] = []
    exp_to_field[x].append(i)


experiments = sorted([(x,len(y)) for x,y in exp_to_field.items()], key=lambda tup: tup[1], reverse=True)

eorder = numpy.arange(len(experiments))
numpy.random.shuffle(eorder)

for i in range(len(experiments)):
	print 'I AM AT', i
	e,crap = experiments[i]
	#os.system('qsub -q pool2 -v LD_LIBRARY_PATH=/home/awn/tools/lib,WDRUG='+str(e[0])+',WPROT='+str(e[1])+' lane_compute_marking_per_instance_within_exp.py')
	#time.sleep(0.1)
	e,crap = experiments[eorder[i]]
	os.system('qsub -q pool2 -v LD_LIBRARY_PATH=/home/awn/tools/lib,WDRUG='+str(e[0])+',WPROT='+str(e[1])+' lane_compute_marking_per_instance_within_exp.py')
	time.sleep(0.1)
